Subject: [multipathtcp] when and how is data-ACK responded?

From: 王帅 <[email-masked]>
Date: Fri, 24 Mar 2017 14:25:44 +0800 (GMT+08:00)

Hi,

   Data-ACK is independent with subflow-ACK which is responded by TCP layer, but when and how is data-ACK responded? I wonder whether discontinuous segments in data-level will trigger duplicate ACK, so fast retransmission will happen.If not, how to avoid this problem?

Best,

Wang Shuai

---

From: "Sargent, Matthew T. (GRC-LCA0)[Peerless Technologies]" <[email-masked]>
Date: Fri, 24 Mar 2017 12:52:30 +0000

Hi Wang,

> On Mar 24, 2017, at 2:25 AM, 王帅 <[email-masked]> wrote:
> 
> Hi,
> 

From Section 3 of RFC 6824:
Therefore, an MPTCP implementation receiving a duplicate ACK that contains an MPTCP option MUST NOT treat it as a signal of congestion.

My reading on this is that an MPTCP implementation will have the logic built in to avoid the behavior you are describing. Could anyone confirm or correct this?

Thanks,
Matt

---

From: Alan Ford <[email-masked]>
Date: Fri, 24 Mar 2017 23:54:00 +0000

Hi Wang,

Data ACK is separate from subflow ACK. It exists purely to control the connection-level receive window; each MPTCP segment will contain a data ACK allowing the receive window to advance. Whilst you could certainly see the same data ACK sent as a “duplicate ACK” when the same value is sent, this will not necessarily trigger retransmission - this depends on the subflow-level retransmission. It’s implementation-specific as to when you may decide to retransmit, duplicating packets on a separate subflow.

Regards,
Alan

> On 24 Mar 2017, at 06:25, 王帅 <[email-masked]> wrote:
> 
> Hi,
> 
> _______________________________________________
> multipathtcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multipathtcp